import { ɵɵdefineNgModule, ɵɵdefineInjector, ɵɵinject, ɵɵsetNgModuleScope, ɵsetClassMetadata, NgModule, Optional, SkipSelf, ɵɵdefinePipe, Pipe } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { MatButtonModule } from '@angular/material/button';
import { MatCheckboxModule } from '@angular/material/checkbox';
import { MatDialogModule } from '@angular/material/dialog';
import { MatInputModule } from '@angular/material/input';
import { MatProgressBarModule } from '@angular/material/progress-bar';
import { MatProgressSpinnerModule } from '@angular/material/progress-spinner';
import { MatSelectModule } from '@angular/material/select';
import { MatTooltipModule } from '@angular/material/tooltip';
import { DialogModule as DialogModule$1 } from '@dialog/dialog.module';
import { AuthenticationServiceConfig } from '@authentication/model/authentication.service.config';
export * from '@authentication/model/authentication.service.config';
export { DialogModule, EmailModule, EmployeeModule, SafeUrlPipe, SharePointModule, UploadModule, UriSchemePipe, UrlModule } from '@authentication/model/authentication.service.config';
import { AuthenticationService } from '@authentication/services/authentication.service';
export * from '@authentication/services/authentication.service';
import { LoginComponent } from '@authentication/components/login/login.component';
export * from '@authentication/components/login/login.component';
import { LoginFormComponent } from '@authentication/components/login-form/login-form.component';
export * from '@authentication/components/login-form/login-form.component';
export * from '@authentication/model/authentication-token';
import { DialogComponent } from '@dialog/components/_dialog/dialog.component';
import { ConfirmationDialogComponent } from '@dialog/components/confirmation-dialog/confirmation-dialog.component';
export * from '@dialog/components/confirmation-dialog/confirmation-dialog.component';
import { InputDialogComponent } from '@dialog/components/input-dialog/input-dialog.component';
export * from '@dialog/components/input-dialog/input-dialog.component';
import { MessageDialogComponent } from '@dialog/components/message-dialog/message-dialog.component';
export * from '@dialog/components/message-dialog/message-dialog.component';
export * from '@dialog/model/confirmation-dialog-mode.enum';
import { EmailServiceConfig } from '@email/model/email.service.config';
export * from '@email/model/email.service.config';
import { EmailService } from '@email/services/email.service';
export * from '@email/services/email.service';
export * from '@email/model/email';
import { EmployeeServiceConfig } from '@employee/model/employee.service.config';
export * from '@employee/model/employee.service.config';
import { EmployeeService } from '@employee/services/employee.service';
export * from '@employee/services/employee.service';
import { DepartmentsPipe } from '@employee/pipes/departments.pipe';
export * from '@employee/pipes/departments.pipe';
import { EmployeeByDnPipe } from '@employee/pipes/employee-by-dn.pipe';
export * from '@employee/pipes/employee-by-dn.pipe';
import { EmployeePhotoUrlPipe } from '@employee/pipes/employee-photo-url.pipe';
export * from '@employee/pipes/employee-photo-url.pipe';
import { EmployeesWithPropertyValuePipe } from '@employee/pipes/employees-with-property-value.pipe';
export * from '@employee/pipes/employees-with-property-value.pipe';
import { FilterEmployeesPipe } from '@employee/pipes/filter-employees.pipe';
export * from '@employee/pipes/filter-employees.pipe';
import { IsMemberOfPipe } from '@employee/pipes/is-member-of.pipe';
export * from '@employee/pipes/is-member-of.pipe';
import { SortEmployeesPipe } from '@employee/pipes/sort-employees.pipe';
export * from '@employee/pipes/sort-employees.pipe';
export * from '@employee/model/employee';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
import { HttpClientModule } from '@angular/common/http';
import { MatListModule } from '@angular/material/list';
import { UploadServiceConfig } from '@upload/model/upload.service.config';
export * from '@upload/model/upload.service.config';
import { UploadService } from '@upload/services/upload.service';
export * from '@upload/services/upload.service';
import { UploadDialogComponent } from '@upload/components/upload-dialog/upload-dialog.component';
export * from '@upload/components/upload-dialog/upload-dialog.component';
import { UploadComponent } from '@upload/components/upload/upload.component';
export * from '@upload/components/upload/upload.component';
export * from '@upload/model/database-file-info';
export * from '@upload/model/file-upload-request';
export * from '@upload/model/filesystem-file-info';
import { SharePointServiceConfig } from '@sharepoint/model/sharepoint.service.config';
export * from '@sharepoint/model/sharepoint.service.config';
import { SharePointService } from '@sharepoint/services/sharepoint.service';
export * from '@sharepoint/services/sharepoint.service';
import { SharePointPhotoUrlPipe } from '@sharepoint/pipes/sharepoint-photo-url.pipe';
export * from '@sharepoint/pipes/sharepoint-photo-url.pipe';
import { SharePointUrlPipe } from '@sharepoint/pipes/sharepoint-url.pipe';
export * from '@sharepoint/pipes/sharepoint-url.pipe';
export * from '@sharepoint/model/sharepoint-calendar-event';
export * from '@sharepoint/model/sharepoint-customer-visit';
export * from '@sharepoint/model/sharepoint-employee-picture';
export * from '@sharepoint/model/sharepoint-list';
export * from '@sharepoint/model/sharepoint-list-item';
export * from '@sharepoint/model/sharepoint-person';
export * from '@sharepoint/model/sharepoint-picture';
import { SafeUrlPipe as SafeUrlPipe$1 } from '@url/pipes/safe-url.pipe';
import { UriSchemePipe as UriSchemePipe$1 } from '@url/pipes/uri-scheme.pipe';

//#region Imports
//#endregion
class AuthenticationModule {
    constructor(parentModule) {
        if (parentModule) {
            throw new Error('AuthenticationModule is already loaded. Import it in the AppModule only');
        }
    }
    static forRoot(authenticationConfig) {
        return {
            ngModule: AuthenticationModule,
            providers: [
                AuthenticationService,
                { provide: AuthenticationServiceConfig, useValue: authenticationConfig }
            ]
        };
    }
}
AuthenticationModule.ɵmod = ɵɵdefineNgModule({ type: AuthenticationModule });
AuthenticationModule.ɵinj = ɵɵdefineInjector({ factory: function AuthenticationModule_Factory(t) { return new (t || AuthenticationModule)(ɵɵinject(AuthenticationModule, 12)); }, providers: [], imports: [[
            CommonModule,
            FormsModule,
            MatButtonModule,
            MatCheckboxModule,
            MatDialogModule,
            MatInputModule,
            MatProgressBarModule,
            MatProgressSpinnerModule,
            MatTooltipModule,
            MatSelectModule,
            DialogModule$1
        ]] });
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && ɵɵsetNgModuleScope(AuthenticationModule, { declarations: [LoginComponent,
        LoginFormComponent], imports: [CommonModule,
        FormsModule,
        MatButtonModule,
        MatCheckboxModule,
        MatDialogModule,
        MatInputModule,
        MatProgressBarModule,
        MatProgressSpinnerModule,
        MatTooltipModule,
        MatSelectModule,
        DialogModule$1], exports: [LoginComponent,
        LoginFormComponent] }); })();
/*@__PURE__*/ (function () { ɵsetClassMetadata(AuthenticationModule, [{
        type: NgModule,
        args: [{
                imports: [
                    CommonModule,
                    FormsModule,
                    MatButtonModule,
                    MatCheckboxModule,
                    MatDialogModule,
                    MatInputModule,
                    MatProgressBarModule,
                    MatProgressSpinnerModule,
                    MatTooltipModule,
                    MatSelectModule,
                    DialogModule$1
                ],
                declarations: [
                    LoginComponent,
                    LoginFormComponent
                ],
                exports: [
                    LoginComponent,
                    LoginFormComponent
                ],
                providers: [],
                entryComponents: [
                    LoginFormComponent
                ]
            }]
    }], function () { return [{ type: AuthenticationModule, decorators: [{
                type: Optional
            }, {
                type: SkipSelf
            }] }]; }, null); })();

//#region Imports
//#endregion
class DialogModule {
}
DialogModule.ɵmod = ɵɵdefineNgModule({ type: DialogModule });
DialogModule.ɵinj = ɵɵdefineInjector({ factory: function DialogModule_Factory(t) { return new (t || DialogModule)(); }, imports: [[
            CommonModule,
            FormsModule,
            MatButtonModule,
            MatCheckboxModule,
            MatInputModule,
            MatDialogModule
        ]] });
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && ɵɵsetNgModuleScope(DialogModule, { declarations: [DialogComponent,
        ConfirmationDialogComponent,
        InputDialogComponent,
        MessageDialogComponent], imports: [CommonModule,
        FormsModule,
        MatButtonModule,
        MatCheckboxModule,
        MatInputModule,
        MatDialogModule], exports: [ConfirmationDialogComponent,
        InputDialogComponent,
        MessageDialogComponent] }); })();
/*@__PURE__*/ (function () { ɵsetClassMetadata(DialogModule, [{
        type: NgModule,
        args: [{
                imports: [
                    CommonModule,
                    FormsModule,
                    MatButtonModule,
                    MatCheckboxModule,
                    MatInputModule,
                    MatDialogModule
                ],
                declarations: [
                    DialogComponent,
                    ConfirmationDialogComponent,
                    InputDialogComponent,
                    MessageDialogComponent
                ],
                exports: [
                    ConfirmationDialogComponent,
                    InputDialogComponent,
                    MessageDialogComponent
                ],
                entryComponents: [
                    ConfirmationDialogComponent,
                    InputDialogComponent,
                    MessageDialogComponent
                ]
            }]
    }], null, null); })();

//#region Imports
//#endregion
class EmailModule {
    constructor(parentModule) {
        if (parentModule) {
            throw new Error('EmailModule is already loaded. Import it in the AppModule only');
        }
    }
    static forRoot(emailConfig) {
        return {
            ngModule: EmailModule,
            providers: [
                EmailService,
                { provide: EmailServiceConfig, useValue: emailConfig }
            ]
        };
    }
}
EmailModule.ɵmod = ɵɵdefineNgModule({ type: EmailModule });
EmailModule.ɵinj = ɵɵdefineInjector({ factory: function EmailModule_Factory(t) { return new (t || EmailModule)(ɵɵinject(EmailModule, 12)); }, imports: [[CommonModule]] });
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && ɵɵsetNgModuleScope(EmailModule, { imports: [CommonModule] }); })();
/*@__PURE__*/ (function () { ɵsetClassMetadata(EmailModule, [{
        type: NgModule,
        args: [{
                imports: [CommonModule],
                declarations: [],
                exports: []
            }]
    }], function () { return [{ type: EmailModule, decorators: [{
                type: Optional
            }, {
                type: SkipSelf
            }] }]; }, null); })();

//#region Imports
//#endregion
class EmployeeModule {
    constructor(parentModule) {
        if (parentModule) {
            throw new Error('EmployeeModule is already loaded. Import it in the AppModule only');
        }
    }
    static forRoot(employeeConfig) {
        return {
            ngModule: EmployeeModule,
            providers: [
                EmployeeService,
                { provide: EmployeeServiceConfig, useValue: employeeConfig }
            ]
        };
    }
}
EmployeeModule.ɵmod = ɵɵdefineNgModule({ type: EmployeeModule });
EmployeeModule.ɵinj = ɵɵdefineInjector({ factory: function EmployeeModule_Factory(t) { return new (t || EmployeeModule)(ɵɵinject(EmployeeModule, 12)); }, imports: [[CommonModule]] });
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && ɵɵsetNgModuleScope(EmployeeModule, { declarations: [DepartmentsPipe,
        EmployeeByDnPipe,
        EmployeesWithPropertyValuePipe,
        FilterEmployeesPipe,
        IsMemberOfPipe,
        EmployeePhotoUrlPipe,
        SortEmployeesPipe], imports: [CommonModule], exports: [DepartmentsPipe,
        EmployeeByDnPipe,
        EmployeesWithPropertyValuePipe,
        FilterEmployeesPipe,
        IsMemberOfPipe,
        EmployeePhotoUrlPipe,
        SortEmployeesPipe] }); })();
/*@__PURE__*/ (function () { ɵsetClassMetadata(EmployeeModule, [{
        type: NgModule,
        args: [{
                imports: [CommonModule],
                declarations: [
                    DepartmentsPipe,
                    EmployeeByDnPipe,
                    EmployeesWithPropertyValuePipe,
                    FilterEmployeesPipe,
                    IsMemberOfPipe,
                    EmployeePhotoUrlPipe,
                    SortEmployeesPipe
                ],
                exports: [
                    DepartmentsPipe,
                    EmployeeByDnPipe,
                    EmployeesWithPropertyValuePipe,
                    FilterEmployeesPipe,
                    IsMemberOfPipe,
                    EmployeePhotoUrlPipe,
                    SortEmployeesPipe
                ]
            }]
    }], function () { return [{ type: EmployeeModule, decorators: [{
                type: Optional
            }, {
                type: SkipSelf
            }] }]; }, null); })();

//#region Imports
//#endregion
class UploadModule {
    constructor(parentModule) {
        if (parentModule) {
            throw new Error('UploadModule is already loaded. Import it in the AppModule only');
        }
    }
    static forRoot(uploadConfig) {
        return {
            ngModule: UploadModule,
            providers: [
                UploadService,
                { provide: UploadServiceConfig, useValue: uploadConfig }
            ]
        };
    }
}
UploadModule.ɵmod = ɵɵdefineNgModule({ type: UploadModule });
UploadModule.ɵinj = ɵɵdefineInjector({ factory: function UploadModule_Factory(t) { return new (t || UploadModule)(ɵɵinject(UploadModule, 12)); }, imports: [[
            CommonModule,
            BrowserAnimationsModule,
            HttpClientModule,
            MatButtonModule,
            MatDialogModule,
            MatListModule,
            MatProgressBarModule
        ]] });
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && ɵɵsetNgModuleScope(UploadModule, { declarations: [UploadComponent,
        UploadDialogComponent], imports: [CommonModule,
        BrowserAnimationsModule,
        HttpClientModule,
        MatButtonModule,
        MatDialogModule,
        MatListModule,
        MatProgressBarModule], exports: [UploadComponent,
        UploadDialogComponent] }); })();
/*@__PURE__*/ (function () { ɵsetClassMetadata(UploadModule, [{
        type: NgModule,
        args: [{
                imports: [
                    CommonModule,
                    BrowserAnimationsModule,
                    HttpClientModule,
                    MatButtonModule,
                    MatDialogModule,
                    MatListModule,
                    MatProgressBarModule
                ],
                declarations: [
                    UploadComponent,
                    UploadDialogComponent
                ],
                exports: [
                    UploadComponent,
                    UploadDialogComponent
                ],
                entryComponents: [
                    UploadDialogComponent
                ]
            }]
    }], function () { return [{ type: UploadModule, decorators: [{
                type: Optional
            }, {
                type: SkipSelf
            }] }]; }, null); })();

//#region Imports
//#endregion
class SharePointModule {
    constructor(parentModule) {
        if (parentModule) {
            throw new Error('SharePointModule is already loaded. Import it in the AppModule only');
        }
    }
    static forRoot(sharePointConfig) {
        return {
            ngModule: SharePointModule,
            providers: [
                SharePointService,
                { provide: SharePointServiceConfig, useValue: sharePointConfig }
            ]
        };
    }
}
SharePointModule.ɵmod = ɵɵdefineNgModule({ type: SharePointModule });
SharePointModule.ɵinj = ɵɵdefineInjector({ factory: function SharePointModule_Factory(t) { return new (t || SharePointModule)(ɵɵinject(SharePointModule, 12)); }, imports: [[
            CommonModule
        ]] });
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && ɵɵsetNgModuleScope(SharePointModule, { declarations: [SharePointPhotoUrlPipe,
        SharePointUrlPipe], imports: [CommonModule], exports: [SharePointPhotoUrlPipe,
        SharePointUrlPipe] }); })();
/*@__PURE__*/ (function () { ɵsetClassMetadata(SharePointModule, [{
        type: NgModule,
        args: [{
                imports: [
                    CommonModule
                ],
                declarations: [
                    SharePointPhotoUrlPipe,
                    SharePointUrlPipe
                ],
                exports: [
                    SharePointPhotoUrlPipe,
                    SharePointUrlPipe
                ]
            }]
    }], function () { return [{ type: SharePointModule, decorators: [{
                type: Optional
            }, {
                type: SkipSelf
            }] }]; }, null); })();

class SafeUrlPipe {
    transform(value, ...args) {
        return null;
    }
}
SafeUrlPipe.ɵfac = function SafeUrlPipe_Factory(t) { return new (t || SafeUrlPipe)(); };
SafeUrlPipe.ɵpipe = ɵɵdefinePipe({ name: "safeUrl", type: SafeUrlPipe, pure: true });
/*@__PURE__*/ (function () { ɵsetClassMetadata(SafeUrlPipe, [{
        type: Pipe,
        args: [{
                name: 'safeUrl'
            }]
    }], null, null); })();

class UriSchemePipe {
    transform(value, ...args) {
        return null;
    }
}
UriSchemePipe.ɵfac = function UriSchemePipe_Factory(t) { return new (t || UriSchemePipe)(); };
UriSchemePipe.ɵpipe = ɵɵdefinePipe({ name: "uriScheme", type: UriSchemePipe, pure: true });
/*@__PURE__*/ (function () { ɵsetClassMetadata(UriSchemePipe, [{
        type: Pipe,
        args: [{
                name: 'uriScheme'
            }]
    }], null, null); })();

//#region Imports
//#endregion
class UrlModule {
}
UrlModule.ɵmod = ɵɵdefineNgModule({ type: UrlModule });
UrlModule.ɵinj = ɵɵdefineInjector({ factory: function UrlModule_Factory(t) { return new (t || UrlModule)(); }, imports: [[CommonModule]] });
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && ɵɵsetNgModuleScope(UrlModule, { declarations: [SafeUrlPipe$1,
        UriSchemePipe$1], imports: [CommonModule], exports: [SafeUrlPipe$1,
        UriSchemePipe$1] }); })();
/*@__PURE__*/ (function () { ɵsetClassMetadata(UrlModule, [{
        type: NgModule,
        args: [{
                imports: [CommonModule],
                declarations: [
                    SafeUrlPipe$1,
                    UriSchemePipe$1
                ],
                exports: [
                    SafeUrlPipe$1,
                    UriSchemePipe$1
                ]
            }]
    }], null, null); })();

/*
 * Public API Surface of ngx-lib
 */

/**
 * Generated bundle index. Do not edit.
 */

export { AuthenticationModule };
//# sourceMappingURL=cleavelandprice-ngx-lib.js.map
