import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { SharePointServiceConfig } from '@sharepoint/model/sharepoint.service.config';
import { SharePointList } from '@sharepoint/model/sharepoint-list';
import { SharePointListItem } from '@sharepoint/model/sharepoint-list-item';
import { SharePointEmployeePicture } from '@sharepoint/model/sharepoint-employee-picture';
import { SharePointCustomerVisit } from '@sharepoint/model/sharepoint-customer-visit';
import { SharePointPerson } from '@sharepoint/model/sharepoint-person';
import * as i0 from "@angular/core";
export declare class SharePointService {
    private config;
    private http;
    people: SharePointPerson[];
    photos: SharePointEmployeePicture[];
    constructor(config: SharePointServiceConfig, http: HttpClient);
    getListItems(list: SharePointList): Observable<SharePointListItem[]>;
    getListItemsSimple(list: string, view: string, site?: string, limit?: string): Observable<SharePointListItem[]>;
    getPeople(storePeople?: boolean): Observable<SharePointPerson[]>;
    getPhotos(storePhotos?: boolean): Observable<SharePointEmployeePicture[]>;
    getCustomerVisits(): Observable<SharePointCustomerVisit[]>;
    static ɵfac: i0.ɵɵFactoryDef<SharePointService, [{ optional: true; }, null]>;
    static ɵprov: i0.ɵɵInjectableDef<SharePointService>;
}
