import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { UploadServiceConfig } from '@upload/model/upload.service.config';
import { FileUploadRequest } from '@upload/model/file-upload-request';
import { DatabaseFileInfo } from '@upload/model/database-file-info';
import { FilesystemFileInfo } from '@upload/model/filesystem-file-info';
import * as i0 from "@angular/core";
export declare class UploadService {
    private http;
    uploadApiUrl: string;
    uploadPath: string;
    dbAppId: string;
    externalReferenceId: string;
    comment: string;
    uploadButtonText: string;
    uploadDialogTitle: string;
    uploadDialogAddFilesButtonText: string;
    uploadDialogCancelButtonText: string;
    uploadDialogUploadButtonText: string;
    uploadDialogFinishButtonText: string;
    constructor(http: HttpClient, config: UploadServiceConfig);
    upload(files: Set<File>): {
        [key: string]: Observable<number>;
    };
    exists(fileName: string): Observable<boolean>;
    download(request: FileUploadRequest): Observable<Blob>;
    getUploadInfo(request: FileUploadRequest): Observable<DatabaseFileInfo | DatabaseFileInfo[] | FilesystemFileInfo | FilesystemFileInfo[]>;
    static ɵfac: i0.ɵɵFactoryDef<UploadService, [null, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDef<UploadService>;
}
